Bug 87924 - FILEOPEN: DOCX - text in shape is wrong direction
Summary: FILEOPEN: DOCX - text in shape is wrong direction
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta1
Hardware: Other All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0 target:5.0.2 target:4.4.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-01-01 00:37 UTC by Yousuf Philips (jay) (retired)
Modified: 2016-10-25 19:20 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2015-01-01 00:37:22 UTC
Steps:
1) Open attachment 111442 [details]
2) Notice that the text in the arrow is vertical (attachment 111458 [details])
3) While in MS Word it is horizontal (attachment 111480 [details])

Regression as the text was horizontal in 4.1.6.

Version: 4.5.0.0.alpha0+
Build ID: e570cd7a293ceee175949dcc9656cdf776ae3c37
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:master, Time: 2014-12-12_18:49:54

Setting to NEW as Gary confirmed it in bug 87811 comment 6.
Comment 1 Rostislav 'R.Yu.' Okulov 2015-01-02 09:52:24 UTC
# bad: [423a84c4f7068853974887d98442bc2a2d0cc91b] source-hash-c15927f20d4727c3b8de68497b6949e72f9e6e9e                 
# good: [a71a4447320f177181c9cff9f7c6fd93802cbd8e] source-hash-9afb6e1e38c362a768e8e981f7b03cf8bcaf22cf                
git bisect start 'last43onmaster' 'last36onmaster'                                                                     
# good: [f2554751603ad8537257b3cf52d6171056c76eeb] source-hash-f42768fe0b60ecbbe9c68d775329bf28c0690131                
git bisect good f2554751603ad8537257b3cf52d6171056c76eeb                                                                                   
# bad: [2d8ee8e5bf8901874460df1b36b3faceae1cb931] source-hash-777e3930a1e85b9bc97c1852b09802fc389c5e2d                                     
git bisect bad 2d8ee8e5bf8901874460df1b36b3faceae1cb931                                                                                    
# skip: [58d425669272af1bbe6fb0dcb098b8a5612127e6] source-hash-c1f416feda0ef4ef215ca587b9bac03659b48c7a                                    
git bisect skip 58d425669272af1bbe6fb0dcb098b8a5612127e6                                                                                   
# skip: [58d425669272af1bbe6fb0dcb098b8a5612127e6] source-hash-c1f416feda0ef4ef215ca587b9bac03659b48c7a                                    
git bisect skip 58d425669272af1bbe6fb0dcb098b8a5612127e6
# skip: [58d425669272af1bbe6fb0dcb098b8a5612127e6] source-hash-c1f416feda0ef4ef215ca587b9bac03659b48c7a
git bisect skip 58d425669272af1bbe6fb0dcb098b8a5612127e6
# good: [a71a4447320f177181c9cff9f7c6fd93802cbd8e] source-hash-9afb6e1e38c362a768e8e981f7b03cf8bcaf22cf
git bisect good a71a4447320f177181c9cff9f7c6fd93802cbd8e
# bad: [4bc946d4de21c39a676394c1da0b714fcb9af011] source-hash-3dab6fcbedf21c1d2971527f6f99fa46d3d45514
git bisect bad 4bc946d4de21c39a676394c1da0b714fcb9af011
# bad: [4bc946d4de21c39a676394c1da0b714fcb9af011] source-hash-3dab6fcbedf21c1d2971527f6f99fa46d3d45514
git bisect bad 4bc946d4de21c39a676394c1da0b714fcb9af011
# good: [a71a4447320f177181c9cff9f7c6fd93802cbd8e] source-hash-9afb6e1e38c362a768e8e981f7b03cf8bcaf22cf
git bisect good a71a4447320f177181c9cff9f7c6fd93802cbd8e
# bad: [36f3dc5427eb2e1af3ddd629e0e7e199b7782fae] source-hash-21055f014c2d98f9f57ee81da9c54a4218d45e0d
git bisect bad 36f3dc5427eb2e1af3ddd629e0e7e199b7782fae
# skip: [06793dd2acc5fe5c7dd3cecf09784c2d3426f33a] source-hash-2232781ad303864b79a3973b5b0eec40a859a701
git bisect skip 06793dd2acc5fe5c7dd3cecf09784c2d3426f33a
# bad: [91460ba3ce3a0efa5693f098c1072b058903a31c] source-hash-69f61526cd4268a330be1e835e9e52f9b1dbde50
git bisect bad 91460ba3ce3a0efa5693f098c1072b058903a31c
# good: [1cb483c5f696c8e7d262c7959e482f2bc2edc0cb] source-hash-59373b753902f69cd44d183568b084429322e7ab
git bisect good 1cb483c5f696c8e7d262c7959e482f2bc2edc0cb
# good: [b5b034dfb3e4cd132c1e60a0283ff527ec92637a] source-hash-b95acb2bdcc6bc7c09a806157361c83142858d97
git bisect good b5b034dfb3e4cd132c1e60a0283ff527ec92637a
# bad: [9771d0c212cfa71b07742ff3dc5c05df22d600eb] source-hash-a9a0933ec67eab0ec31c8fadb60fb8e8e3e90485
git bisect bad 9771d0c212cfa71b07742ff3dc5c05df22d600eb
# skip: [50f1f06ed2dd40d2e6f658524a5e160ba1a84807] source-hash-647fb29f528b891a1c92846640f7865f5c1fbe7f
git bisect skip 50f1f06ed2dd40d2e6f658524a5e160ba1a84807
# good: [84ecc38ca8396d29c5f2dfc3413fa4a701879fa3] source-hash-781ae59664f91fa55a9aeda3f5d93076e501d65a
git bisect good 84ecc38ca8396d29c5f2dfc3413fa4a701879fa3
# first bad commit: [9771d0c212cfa71b07742ff3dc5c05df22d600eb] source-hash-a9a0933ec67eab0ec31c8fadb60fb8e8e3e90485

9771d0c212cfa71b07742ff3dc5c05df22d600eb is the first bad commit
commit 9771d0c212cfa71b07742ff3dc5c05df22d600eb
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Wed Nov 27 02:45:33 2013 +0000

    source-hash-a9a0933ec67eab0ec31c8fadb60fb8e8e3e90485
    
    commit a9a0933ec67eab0ec31c8fadb60fb8e8e3e90485
    Author:     Lionel Elie Mamane <lionel@mamane.lu>
    AuthorDate: Fri Sep 27 13:07:29 2013 +0200
    Commit:     Lionel Elie Mamane <lionel@mamane.lu>
    CommitDate: Fri Sep 27 13:07:44 2013 +0200
    
        raah... getURLFromWorkdir does not put the URL scheme
    
        Change-Id: I62162230b313c66872ef1b3e8b18070126169aa1

:100644 100644 852827ab6e80d0adde64499d4b66d9d95413ef73 a46c9c52284a16a3ce365755b527b41e25f0f22f M      ccache.log
:100644 100644 19aec38d05a7ffec0fcb0983b81751750b47e396 773f66bd54ba06715c937011f93d177a62549321 M      commitmsg
:100644 100644 93217f5b28d79def07f69f20318dc4eb22a17679 a46cd23c656e877977f67d63e30a08ba21ad27b0 M      make.log
:040000 040000 42bfe3d7df100cb42258f35f162fd8f7b35d8dc0 9af944dc810a23ba21149323072ad8665d3e8b0d M      opt
Comment 2 Matthew Francis 2015-01-13 09:12:47 UTC
The rotation of the text changed in the below commit.

Adding Cc: to vmiklos@collabora.co.uk; Could you possibly have a look at this? Thanks


commit 8738ded7bb1bb6262fe1038e310b5110407f4cfa
Author: Miklos Vajna <vmiklos@collabora.co.uk>
Date:   Thu Sep 26 12:21:59 2013 +0200

    fdo#69636 VML import: handle mso-layout-flow-alt shape prop for sw frames
    
    Writer core doesn't support this, and this has been a problem for table
    cells as well. There the workaround we're using for quite a while is to
    do the rotation at a text portion level instead, which results in
    reasonable layout for simple cases. Do the same here.
    
    One additional complexity is that the API between oox and writerfilter
    is a single UNO shape, we get this property in oox, and we have to
    handle it in writerfilter, when the text frame is already attached to
    some text. Kill this problem by adding a FrameInteropGrabBag for sw text
    frames: it's useful anyway, and then we can pass around this property
    inside the grab bag.
    
    Change-Id: Idb5ec83b5cbdde8f29d15b2cebfad24226bb6507
Comment 3 Miklos Vajna 2015-07-31 21:17:39 UTC
The combination of shape and text rotation in the document means that we should not rotate the text in in any way, certainly something we can do. I'll take care of this.
Comment 4 Commit Notification 2015-08-03 07:20:51 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dbfed66eebde65f5844a0f1a2cfe548ad4eda962

tdf#87924 DOCX import: rot=90 and vert=vert270 means no text rotation

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-08-17 13:35:44 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ace88a7d68c27871597f634b350be224aee26e11&h=libreoffice-5-0

tdf#87924 DOCX import: rot=90 and vert=vert270 means no text rotation

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-09-03 08:15:21 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1477e3a2229310a2c439c5f6d9c0d32b2191ec18&h=libreoffice-4-4

tdf#87924 DOCX import: rot=90 and vert=vert270 means no text rotation

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Robinson Tryon (qubit) 2015-12-17 08:43:01 UTC Comment hidden (obsolete)